Mantis Bug Tracker
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023375Community[OCCT] OCCT:Modeling Algorithmspublic2012-08-10 12:032013-06-18 15:06
ReporterTimo 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023375: (OCC 6.5.3 regression) BRepBuilderAPI_Sewing returns wrong result
DescriptionThe following sewing operation returns a wrong result in OCCT 6.5.3. The result is correct in OCCT 6.5.2.

Draw script:

restore Volute1.brep v
explode v
sewing r 0.01 v_1 v_2
vinit
vdisplay r
vfit

The problem has been reported on the forum (http://www.opencascade.org/org/forum/thread_23594/?forum=3 [^]) and has been confirmed to be a reproducible regression.

The brep-file and an illustrative image is appended.
 
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug23375_1, bug23375_2
Attached Fileszip file icon Volute1.zip (346,107 bytes) 2012-08-10 12:03
png file icon SewingRegression.PNG (74,795 bytes) 2012-08-10 12:04
? file icon bug23375 (667 bytes) 2013-03-20 18:02
? file icon Pump1.brep (196,874 bytes) 2013-03-27 18:39
? file icon bug23375_1.tcl (666 bytes) 2013-03-28 14:48

- Relationships

-  Notes
(0023301)
Timo (developer)
2013-02-11 14:53

The problem must be caused by changes local to BRepBuilderAPI_Sewing.cxx in the time from OCCT 6.5.2 to 6.5.3. Currently, we are using the code from 6.5.2 and the problem does not occur.
(0023809)
omy (developer)
2013-03-20 09:52

Dear gka,
I've made a fix and pushed it into branch CR23375.
Please, review.
(0023821)
gka (developer)
2013-03-20 16:02

Branch CR23375 is ready to test
(0023836)
mkv (tester)
2013-03-21 16:51

Dear BugMaster,

Branch CR23375 (and products from GIT master) was compiled on Linux and Windows platforms and tested without rebase.
SHA-1: 85a1cd6d725d9b9964457890871f88ec14bef9fe

Number of compiler warnings:

occt component :
Linux: 3 (3 on master)
Windows: 11 (11 on master)

products component :
Linux: 0 (0 on master)
Windows: 50 (50 on master)

Regressions:
http://occt-tests/CR23375-master-occt/Mandriva2010/summary.html [^]
http://occt-tests/CR23375-master-occt/Windows-32-VC9/summary.html [^]
bugs iges(003) bug306
bugs modalg_2(007) bug22770_9 bug22770_10 bug22770_11 bug22770_12 bug22770_13 bug22770_15
bugs modalg_4(009) bug714

Improvements:
http://occt-tests/CR23375-master-occt/Mandriva2010/summary.html [^]
http://occt-tests/CR23375-master-occt/Windows-32-VC9/summary.html [^]
sewing tol_100(003) J3

Testing cases:
bugs modalg_5(010) bug23375 - OK.

Testing on Linux:
Total MEMORY difference: 243264808 / 241426424
Total CPU difference: 20710.770000000226 / 14674.630000000103

Testing on Windows:
Total MEMORY difference: 352268284 / 354461928
Total CPU difference: 20347.640625 / 22871.15625

There are not serious differences in images found by testdiff.
http://occt-tests/CR23375-master-occt/Mandriva2010/diff-Mandriva2010.html [^]
http://occt-tests/CR23375-master-occt/Windows-32-VC9/diff-Windows-32-VC9.html [^]
IMAGE sewing tol_1 E8: E8.png differs
IMAGE sewing tol_100 J1: J1.png differs
IMAGE sewing tol_100 J2: J2.png differs
IMAGE sewing tol_100 J4: J4.png differs
IMAGE sewing tol_100 Y7: Y7.png differs
IMAGE sewing tol_0_01 E9: E9.png differs
(0023866)
omy (developer)
2013-03-22 15:21
edited on: 2013-03-22 15:23

Dear gka,
I've pushed new version of fix into branch CR23375_1.
Please, review.

(0023867)
gka (developer)
2013-03-22 15:40

Branch CR23375_1 is ready to be tested
(0023889)
mkv (tester)
2013-03-25 19:52

Dear BugMaster,

Branch CR23375_1 (and products from GIT master) was compiled on Linux and Windows platforms and tested without rebase.
SHA-1: f0eef6a14b159a57dc65b2e60a390050804e7800

Number of compiler warnings:

occt component :
Linux: 3 (3 on master)
Windows: 11 (11 on master)

products component :
Linux: 0 (0 on master)
Windows: 50 (50 on master)

Regressions:
http://occt-tests/CR23375-1-master-occt/Mandriva2010/summary.html [^]
http://occt-tests/CR23375-1-master-occt/Windows-32-VC9/summary.html [^]
bugs modalg_2(007) bug22770_12, bug22770_13, bug22770_15

Improvements:
No improvements

Testing cases:
bugs modalg_5(010) bug23375 - OK.

Testing on Linux:
Total MEMORY difference: 243833724 / 241563524
Total CPU difference: 16381.699999999682 / 14689.000000000104

Testing on Windows:
Total MEMORY difference: 352016892 / 352502444
Total CPU difference: 20873.15625 / 22501.90625

There are not serious differences in images found by testdiff.
(0023906)
omy (developer)
2013-03-27 16:05

Dear gka,
Fix was pushed into branch CR23375_2.
Please, review.

It is assumed that
a) test bugs fclasses bug7287_4 is not stable and its results can vary from run to run
b) differences in results between master and CR23375_2 in bugs modalg_2(007) bug22770_12, bug22770_13, bug22770_15 may be treated as an improvements, so the mentioned testcases can be fixed.
(0023907)
gka (developer)
2013-03-27 16:15

Dear bugmaster.

Could you please correct failed scripts.

Best regards
Galina.
(0023909)
Timo (developer)
2013-03-27 18:38

With the current fix (branch CR23375_2), we have many regressions.

Testcase:
restore Pump1.brep p
explode p
sewing r 0.1 p
whatis r

In original OCC 6.5.4 the result is:
r is a shape SHELL FORWARD Modified Orientable Closed

With the current fix, the result is not closed, but there are 16 free edges.
(0023910)
Timo (developer)
2013-03-27 18:56

Also the original problem is not solved with the current fix (branch CR23375_2).
(0023911)
omy (developer)
2013-03-27 19:17
edited on: 2013-03-27 19:22

Thank you for your post.
I've fixed a small misprint that led to regressions.
Correct branch is CR23375_2

(0023920)
mkv (tester)
2013-03-28 13:21
edited on: 2013-03-28 13:34

Dear BugMaster,

Branch CR23375_2 (and products from GIT master) was compiled on Linux and Windows platforms and tested without rebase.
SHA-1: 9fa046fe4d686685d45287d245c81b3f9de810dc

Number of compiler warnings:

occt component :
Linux: 3 (3 on master)
Windows: 11 (11 on master)

products component :
Linux: 0 (0 on master)
Windows: 50 (50 on master)

Regressions:
http://occt-tests/CR23375-2-master-occt/Mandriva2010/summary.html [^]
http://occt-tests/CR23375-2-master-occt/Windows-32-VC9/summary.html [^]
boolean bcut_simple(009) L9 - sewing
bugs modalg_2(007) bug22770_9, bug22770_10, bug22770_11, bug22770_13, bug22770_15 - sewing
bugs moddata_2 bug42 - sewing
bugs vis(004) bug544 - sewing
sewing tol_100(003) I5, J3
xcaf brep_to_igs_add_CL(006) G1, G2 - sewing

Improvements:
http://occt-tests/CR23375-2-master-occt/Mandriva2010/summary.html [^]
http://occt-tests/CR23375-2-master-occt/Windows-32-VC9/summary.html [^]
Improvements:
bugs modalg_1(006) buc60905 - sewing; It is necessary to correct TODO
bugs modalg_2(007) bug22770_8 - sewing; It is necessary to correct TODO
sewing tol_0_01(001) F8 - It is necessary to correct TODO
sewing tol_100(003) I6, J1, J2, J6 - It is necessary to correct TODO

Testing cases:
bugs modalg_5(010) bug23375 - BAD.

Testing on Linux:
Total MEMORY difference: 226781272 / 224762024
Total CPU difference: 16330.619999999913 / 15116.77999999989

Testing on Windows:
Total MEMORY difference: 340552020 / 340968600
Total CPU difference: 23077.765625 / 19075.96875

There are following differences in images found by testdiff.
http://occt-tests/CR23375-2-master-occt/Windows-32-VC9/diff-Windows-32-VC9.html [^]
IMAGE sewing tol_100 I9: I9.png differs
IMAGE sewing tol_100 J4: J4.png differs
IMAGE sewing tol_100 K1: K1.png differs
IMAGE sewing tol_100 T8: T8.png differs
IMAGE sewing tol_100 Y7: Y7.png differs
IMAGE sewing tol_100 C5: C5.png differs

(0023921)
mkv (tester)
2013-03-28 13:33

Dear BugMaster,
Branch CR23375_2 will be retested now.
(0023922)
omy (developer)
2013-03-28 14:49

Dear bugmaster,
I've added a test case for file Pump1.brep
(0023924)
Timo (developer)
2013-03-28 17:59

Now, our test cases are correct with Branch CR23375_2.
(0023925)
mkv (tester)
2013-03-28 20:00

Dear BugMaster,

Branch CR23375_2 (and products from GIT master) was compiled on Linux and Windows platforms and tested without rebase.
SHA-1: ffc0db2f038be94a39550ade6630a3b50d0e3ad9

Number of compiler warnings:

occt component :
Linux: 3 (3 on master)
Windows: 11 (11 on master)

products component :
Linux: 0 (0 on master)
Windows: 50 (50 on master)

Regressions/differences:
http://occt-tests/CR23375-2-master-occt/Mandriva2010/summary.html [^]
http://occt-tests/CR23375-2-master-occt/Windows-32-VC9/summary.html [^]
bugs modalg_2(007) bug22770_12, bug22770_13, bug22770_15 - nbshapes

Improvements:
No improvements

Testing cases:
bugs modalg_5(010) bug23375, bug23375_1 - OK.

Testing on Linux:
Total MEMORY difference: 227114304 / 225083412
Total CPU difference: 19937.810000000296 / 15151.729999999905

Testing on Windows:
Total MEMORY difference: 354621172 / 355168948
Total CPU difference: 22426.921875 / 21078.8125

There are not serious differences in images found by testdiff.
(0023926)
mkv (tester)
2013-03-28 20:01

Dear gka,
could you please review test case bugs/modalg_5(010)/bug23375_1
(see it in git branch).
(0023928)
gka (developer)
2013-03-29 10:41

For all sewing tests it is necessary to check following features:

validity of result shape
tolerance of result shape
number of free edges given in the dump after sewing
(0023932)
omy (developer)
2013-03-29 12:12

Dear gka,
I've fixed modalg_2 testcases to check validity of result shape, its tolerance and number of free edges.
Please, review.
(0023938)
mkv (tester)
2013-03-29 15:34

Dear BugMaster,
Tests are corrected and pushed to git repository.
(0023939)
mkv (tester)
2013-03-29 15:35

Dear BugMaster,
Branch CR23375_2 is TESTED.

- Related Changesets
occt: master 2c896b8f
Timestamp: 2013-03-29 11:57:20
Author: omy
Committer: bugmaster
Details ] Diff ]
0023375: (OCC 6.5.3 regression) BRepBuilderAPI_Sewing returns wrong result

Fixed selection of sewing pairs of edges.
Mistake fix
Adding test case for this fix
add - tests/bugs/modalg_5/bug23375_1 Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_Sewing.cxx Diff ] File ]
add - tests/bugs/modalg_5/bug23375 Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-08-10 12:03 Timo New Issue
2012-08-10 12:03 Timo Assigned To => jgv
2012-08-10 12:03 Timo File Added: Volute1.zip
2012-08-10 12:04 Timo File Added: SewingRegression.PNG
2013-02-11 14:53 Timo Note Added: 0023301
2013-02-12 12:09 jgv Assigned To jgv => gka
2013-03-13 10:03 gka Assigned To gka => omy
2013-03-13 10:03 gka Status new => assigned
2013-03-20 09:52 omy Note Added: 0023809
2013-03-20 09:52 omy Assigned To omy => gka
2013-03-20 09:52 omy Status assigned => resolved
2013-03-20 16:02 gka Note Added: 0023821
2013-03-20 16:02 gka Status resolved => reviewed
2013-03-20 16:33 mkv Assigned To gka => mkv
2013-03-20 18:02 omy File Added: bug23375
2013-03-21 16:51 mkv Note Added: 0023836
2013-03-21 16:52 mkv Test case number => bugs modalg_5(010) bug23375
2013-03-21 16:52 mkv Assigned To mkv => omy
2013-03-21 16:52 mkv Status reviewed => assigned
2013-03-22 15:21 omy Note Added: 0023866
2013-03-22 15:21 omy Assigned To omy => gka
2013-03-22 15:21 omy Status assigned => resolved
2013-03-22 15:23 omy Note Edited: 0023866 View Revisions
2013-03-22 15:40 gka Note Added: 0023867
2013-03-22 15:40 gka Status resolved => reviewed
2013-03-22 20:56 mkv Assigned To gka => mkv
2013-03-25 19:52 mkv Note Added: 0023889
2013-03-25 19:53 mkv Assigned To mkv => omy
2013-03-25 19:53 mkv Status reviewed => assigned
2013-03-27 16:05 omy Note Added: 0023906
2013-03-27 16:05 omy Assigned To omy => gka
2013-03-27 16:05 omy Status assigned => resolved
2013-03-27 16:15 gka Note Added: 0023907
2013-03-27 16:15 gka Assigned To gka => mkv
2013-03-27 16:15 gka Status resolved => reviewed
2013-03-27 18:38 Timo Note Added: 0023909
2013-03-27 18:39 Timo File Added: Pump1.brep
2013-03-27 18:56 Timo Note Added: 0023910
2013-03-27 19:17 omy Note Added: 0023911
2013-03-27 19:22 omy Note Edited: 0023911 View Revisions
2013-03-28 13:21 mkv Note Added: 0023920
2013-03-28 13:33 mkv Note Added: 0023921
2013-03-28 13:34 mkv Note Edited: 0023920 View Revisions
2013-03-28 13:34 mkv Note Edited: 0023920 View Revisions
2013-03-28 14:48 omy File Added: bug23375_1.tcl
2013-03-28 14:49 omy Note Added: 0023922
2013-03-28 17:59 Timo Note Added: 0023924
2013-03-28 20:00 mkv Note Added: 0023925
2013-03-28 20:01 mkv Note Added: 0023926
2013-03-28 20:01 mkv Test case number bugs modalg_5(010) bug23375 => bugs modalg_5(010) bug23375, bug23375_1
2013-03-28 20:01 mkv Assigned To mkv => omy
2013-03-28 20:01 mkv Status reviewed => assigned
2013-03-29 10:41 gka Note Added: 0023928
2013-03-29 12:12 omy Note Added: 0023932
2013-03-29 12:12 omy Assigned To omy => gka
2013-03-29 12:12 omy Status assigned => resolved
2013-03-29 14:17 gka Status resolved => reviewed
2013-03-29 15:34 mkv Note Added: 0023938
2013-03-29 15:35 mkv Note Added: 0023939
2013-03-29 15:36 mkv Test case number bugs modalg_5(010) bug23375, bug23375_1 => bugs modalg_5(010) bug23375_1, bug23375_2
2013-03-29 15:36 mkv Assigned To gka => bugmaster
2013-03-29 15:36 mkv Status reviewed => tested
2013-04-01 17:37 bugmaster Changeset attached => occt master 2c896b8f
2013-04-01 17:37 bugmaster Status tested => verified
2013-04-01 17:37 bugmaster Resolution open => fixed
2013-04-01 17:41 bugmaster Target Version => 6.6.0
2013-04-23 13:35 aiv Status verified => closed
2013-04-29 15:24 aiv Fixed in Version => 6.6.0
2013-06-18 15:06 emv Relationship added parent of 0024036


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker